# Uses of Interface
org.springframework.beans.factory.parsing.ParseState.Entry

Packages that use ParseState.Entry
Package
Description
org.springframework.beans.factory.parsing
Support infrastructure for bean definition parsing.

## Uses of ParseState.Entry in org.springframework.beans.factory.parsing

Classes in org.springframework.beans.factory.parsing that implement ParseState.Entry
Modifier and Type
Class
Description
`class`
`BeanEntry`
`ParseState` entry representing a bean definition.
`class`
`ConstructorArgumentEntry`
`ParseState` entry representing a (possibly indexed) constructor argument.
`class`
`PropertyEntry`
`ParseState` entry representing a JavaBean property.
`class`
`QualifierEntry`
`ParseState` entry representing an autowire candidate qualifier.
Methods in org.springframework.beans.factory.parsing that return ParseState.Entry
Modifier and Type
Method
Description
`ParseState.Entry`
ParseState.`peek()`
Return the `ParseState.Entry` currently at the top of the `ArrayDeque` or `null` if the `ArrayDeque` is empty.
Methods in org.springframework.beans.factory.parsing with parameters of type ParseState.Entry
Modifier and Type
Method
Description
`void`
ParseState.`push(ParseState.Entry entry)`
Add a new `ParseState.Entry` to the `ArrayDeque`.